<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
<meta charset="utf-8" />
<link rel="stylesheet"  href="/style.css">
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
	integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
	crossorigin="anonymous">

<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
	integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
	crossorigin="anonymous"></script>
<script
	src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"
	integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
	crossorigin="anonymous"></script>
<script
	src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"
	integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy"
	crossorigin="anonymous"></script>

<title>タイトル</title>

<style>
.main{
	text-align:center;
	margin:0 auto;
	width:1080px;
}

.comment{

	margin-bottom:30px;
}

.submitForm{
	text-align:left;
}


</style>

</head>
<body>

<p>Spring test</p>





<div class="main">
		<div class="heading">
			<h4>スレッド名 [[${idid}]]</h4>
			<p>内容</p>
		</div>

		<div class="comment">
			<table border="1" align="center" th:each="element :${commentList}">
				<tr>
				<td><a th:href="@{'edit?id=' + ${element.id}}">No.[[${element.id}]]</a></td>
				<td style="width:200px;">名前：[[${element.name}]]</td>
				<td>投稿時間：[[${element.submitDate}]]</td>
				<td><a th:href="@{'delete?id=' + ${element.id}}">削除</a></td>
				<tr>
				<td colspan="4" align="left"><span style="white-space:pre-wrap;">[[${element.comment}]]</span></td>
				<td colspan="4" align="left"><span style="white-space:pre-wrap;">[[${element.Thread.title}]]</span></td>

			</table>
		</div>


<div class="submitForm">
	<form action="#" th:action="@{/submit}" th:object="${commentForm}" method="post">
	<table border="1">
		<tr>
			<th>名前</th>
			<td><input type="text" th:value="${user.name}" name="name"></td>
		<tr>
			<th>コメント</th>
			<td><textarea rows="4" cols="40" th:field="*{comment}"></textarea></td>
	</table>

	<input type="hidden" name="threadId" th:value="${idid}">
	<input type="submit" value="test">
	<p th:if="${#fields.hasErrors('*{name}')}" th:errors="*{name}" class="text-danger"></p>
	<p th:if="${#fields.hasErrors('*{comment}')}" th:errors="*{comment}" class="text-danger"></p>
	</form>
</div>

</div>




</body>
</html>